require "libs.hump.class"

Tile = Class{
	init = function(self, id, x, y, spr)
		self.id = id
		self.x = x
		self.y = y
		self.sprite = spr
		self.state = 0 -- 0 para vacío, 1 para ocupado, 2 para inhabilitado
		self.somethingApproaching = false
	end;

	load = function(self)

	end;

	draw = function(self)
		love.graphics.draw(self.sprite, self.x, self.y)
	end;

	update = function(self, dt)

	end;

	switchSomething = function(self)
		self.somethingApproaching = not self.somethingApproaching
	end;

	getSomething = function(self)
		return self.somethingApproaching
	end;
}